All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
promote_scalar.hpp File Reference
`#include <stan/math/prim/scal/fun/promote_scalar.hpp>`
`#include <stan/math/prim/mat/fun/promote_scalar_type.hpp>`
`#include <stan/math/prim/mat/fun/Eigen.hpp>`

Go to the source code of this file.

## Classes

struct | stan::math::promote_scalar_struct< T, Eigen::Matrix< S,-1,-1 > >
| Struct to hold static function for promoting underlying scalar types. More...
struct | stan::math::promote_scalar_struct< T, Eigen::Matrix< S, 1,-1 > >
| Struct to hold static function for promoting underlying scalar types. More...
struct | stan::math::promote_scalar_struct< T, Eigen::Matrix< S,-1, 1 > >
| Struct to hold static function for promoting underlying scalar types. More...

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

[ Stan Home Page ] © 2011–2015, Stan Development Team.